Subject: [GIT PULL] ARM: OMAP2+: resolve some sparse, cppcheck warnings

From: [email-masked] (Tony Lindgren)
Date: Wed, 18 Apr 2012 10:20:01 -0700

* Paul Walmsley <[email-masked]> [120417 16:33]:
> Hi Tony,
> 
> The following changes since commit 0034102808e0dbbf3a2394b82b1bb40b5778de9e:
> 
>   Linux 3.4-rc2 (2012-04-07 18:30:41 -0700)
> 
> are available in the git repository at:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/pjw/omap-pending tags/omap-cleanup-a2-for-3.5
> 
> for you to fetch changes up to eeb3711b89d68e147e05e7b43a49ecc5009dc157:
> 
>   ARM: OMAP2+: clean up some cppcheck warnings (2012-04-17 15:50:47 -0600)
> 
> ----------------------------------------------------------------
> Resolve static analysis warnings generated by files in
> arch/arm/mach-omap1, arch/arm/mach-omap2, and arch/arm/plat-omap.
> Fixes all but one sparse warning and most of the useful
> cppcheck warnings (excepting the warnings generated by the
> dmtimer integration code which is going up via 3.4-rc fixes)
> 
> ----------------------------------------------------------------
> 
> This version drops the OMAP1 dmtimer integration patch ("ARM: OMAP1:
> DMTIMER: fix broken timer clock source selection") that will go
> upstream during 3.4-rc fixes.  There are no other changes from the
> previous branch.

Thanks, pulled now into cleanup-sparse and merged into linux-omap
master for some testing.

Tony